Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Open Dynamics Engine
Name:		ode
Version:	0.11.1
Release:	1
Provides:	libode
License:	BSD/LGPL-2.1
URL:		http://www.ode.org/ode.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
ODE is an open source, high performance library for simulating rigid body dynamics. It is fully featured, stable, mature and platform independent with an easy to use C/C++ API. It has advanced joint types and integrated collision detection with friction. ODE is useful for simulating vehicles, objects in virtual reality environments and virtual creatures. It is currently used in many computer games, 3D authoring tools and simulation tools.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for developing applications using %{name}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure \
--enable-release \
--enable-opcode \
--enable-gyroscopic \
--enable-shared \
--disable-debug \
--enable-ou 

# double precision breaks xmoto
#--enable-double-precision \

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc CHANGELOG.txt README.txt
%{_bindir}/ode-config
%{_libdir}/libode.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ode/
%{_libdir}/libode.la
%{_libdir}/libode.so
%{_libdir}/libode.a
%{_pkgconfig}/ode.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.11.1-1
- Version update
* Sat Apr 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.11-2
- recompiled with single precision as xmoto won`t run with double
precision
* Wed Apr 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.11-1
- Version update
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6-1
- initial release
